#include <regex.h>

/*
 * "Standard" means one of FROM, TO, CC, BCC and SUBJECT which are header
 * field-names recognised as searching criteria, from an IMAP server, while
 * custom indicates any other user defined headerfield-names.
 */
#define standard_filter(A, B)		set_filters(A, B, 0)
#define custom_filter(A, B)		set_filters(A, B, 1)

int read_config(char *cfg);
int check_perms(char *cfg);
int parse_config(FILE * fp);
account_t *prepare_account(void);
int set_account(char *line, regmatch_t * match);
int set_filters(char *line, regmatch_t * match, int csm);
void set_limits(char *line, regmatch_t * match);
void set_options(char *line, regmatch_t * match);
