/* Size of buffer that server's response and result messages are written to. */
#define RESPONSE_BUF			16384
#define RESULTS_BUF			512

/*
 * Size of buffers that holds the results of responses to IMAP client
 * requests.
 */
#define STATUS_BUF			8
#define SEARCH_BUF			512


int init_connection(account_t * ca);
int close_connection(void);
int recv_response(char *buf);
int clear_stream(void);
int status_response(void);
int search_response(char *res);
int fetch_response(char *res);
int expunge_response(void);
void analyze_response(char *buf);
